{% extends 'base.html.twig' %}

{% block pagewrapper %}
{{ form_start(form) }}
    <h1 class="page-title">
    {% if mode=="update" %}
    Modification Favori
    {% elseif mode=="submit" %}
    Création Favori
    {% endif %}
    </h1>

    <p>
        {{ form_widget(form.submit) }}
        {% if access=="config" %}
            <a class="btn btn-secondary" href="{{ path('app_portal_config_page_view',{id:idpage}) }}">Annuler</a>
        {% else %}
            <a class="btn btn-secondary" href="{{ path('app_portal_user_page_view',{id:idpage,usage:usage,group:group}) }}">Annuler</a>
        {% endif %}

        {% if mode=="update" %}
        <a href={{ path('app_portal_'~access~'_bookmark_delete',{'idpage':idpage,'id':entity.id,usage:usage,group:group}) }}
            class="btn btn-danger float-end"
            data-method="delete" data-csrf="_token:{{ 'csrf' }}"
            data-confirm="Êtes-vous sûr de vouloir supprimer cet item ?">
            Supprimer
        </a>
        {% endif %}
    </p>

    {% if app.session.flashbag.has('error') %}
        <div class='alert alert-danger' style='margin: 5px 0px'>
            <strong>Erreur</strong><br>
            {% for flashMessage in app.session.flashbag.get('error') %}
                {{ flashMessage }}<br>
            {% endfor %}
        </div>
    {% endif %}

    {% if app.session.flashbag.has('notice') %}
        <div class='alert alert-info' style='margin: 5px 0px'>
            <strong>Information</strong><br>
            {% for flashMessage in app.session.flashbag.get('notice') %}
                {{ flashMessage }}<br>
            {% endfor %}
        </div>
    {% endif %}


    <div class="row clearfix">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header"><i class="fa fa-pencil-alt fa-fw"></i> Informations</div>
                <div class="card-body">                
                    {{ form_row(form.title) }}
                    {{ form_row(form.subtitle) }}
                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card">
                <div class="card-header"><i class="fa fa-pencil-alt fa-fw"></i> Détails</div>
                <div class="card-body">            
                    {{ form_row(form.url) }}
                    <em>le mot clé #login# sera remplacé par le login de l'utilisateur</em><br><br>
                    {{ form_row(form.target) }}    
                    <div id="divhelp"><em>Attention certains sites n'acceptent pas d'être encapsulés dans une frame. Si vous ne voyez pas votre site apparaître, veuillez changer de cible.<br><br></em></div>   
                    {{ form_row(form.color) }}

                    <div id="diviconsel" class="col-md-12 text-left" style="height:140px; padding:20px; text-align:center; background-color: {{ entity.color ? "#"~entity.color : '#000000' }};">
                        {% if entity.icon %}
                            <img src="{{ asset(entity.icon.label) }}" height="100" />
                        {% endif %}
                    </div>

                    <div class="col-md-12" style="text-align:center;padding:0px">
                        {{ form_row(form.idicon) }}
                        <a class="btn btn-success" onClick="selectIcon()" title='Ajouter' style="width:100%">Selectionner une Icône</a>
                        <a class="btn btn-danger" onClick="delIcon()" title='Détacher' style="width:100%">Détacher l'Icône</a>
                    </div>  
                </div>
            </div>
        </div>
    </div>
{{ form_end(form) }}
{% endblock %}

{% block localjavascript %}
    $('document').ready(function(){
        showhide();
    });

    $( "#bookmark_target" ).change(function() {
        showhide();
    });

    function selIcon(idicon,label) {
        $("#bookmark_idicon").val(idicon);
        $("#diviconsel img").remove();

        url="{{ asset('xxxxxx') }}";
        url=url.replace('xxxxxx',label);

        $("#diviconsel").append("<img src='"+url+"'>");
        $("#diviconsel img").attr("height","100px");
        $("#mymodal").modal("hide");
    }

    function selectIcon() {
        $("#mymodal").find(".modal-title").html("SELECTIONNER UNE ICONE");
        var url="{{ path('app_portal_user_icon_select') }}";
        $("#mymodal").find("#framemodal").attr("src",url);
        $("#mymodal").modal("show");
    }

    function delIcon() {
        $("#diviconsel img").remove();
        $("#bookmark_idicon").val(null);
    }

    function showhide() {
        $("#divhelp").hide();
        if($("#bookmark_target").val()=="frame") {
            $("#divhelp").show();
        }
    }

{% endblock %}
